<?php


namespace app\admin\controller;


use think\App;

class Base extends \app\BaseController
{
    public  $post=[];
    public  $uid='';
    public function __construct(App $app)
    {
        parent::__construct($app);
        $this->post =$this->request->post();
        $this->validateToken();
    }

    public function validateToken()
    {
        $token = isset($this->post['token']) ? trim($this->post['token']) : "";
        if($token==""){
            return error_show(101,'token不能为空');
        }
        $effetc = VerifyTokens($token);
        if(!empty($effetc) && $effetc['code']!=0) {
            return error_show($effetc['code'], $effetc['message']);
        }
        $this->uid=$effetc['data']['user']['id'];
    }

    public function  checkRole(){
        $uid = Db::name("user_role")->where(['uid'=>$this->uid,"is_del"=>0,"status"=>1])->find();
        if($uid==false){
            return [];
        }
        $action=[];
        $role =Db::name("role_action")->where(["role_id"=>$uid['roleid'],"status"=>1])->find();
        $action['private_data']=isset($role['private_data'])? $role['private_data']:'';
        $action['action_conllect']=isset($role['action_conllect'])? $role['action_conllect']:'';
        $action['private_field']=isset($role['private_field'])? $role['private_field']:'';
        $action['read']=$uid;
        $action['write']=$uid;
        $share =Db::name("role_share")->where(["to_user"=>$this->uid,"is_del"=>0,"status"=>1])->select();
        if(!empty($share)){
            foreach ($share as $value){
                $action['action_conllect'].=$value['action_collect']!=""? ",".$value['action_collect']:"";
                if($value['action']==1){
                    if($value['share_user']!="")  $action['write'].=",".$share['share_user'] ;
                }
            }
        }
        $group = Db::name("role_group")->where("FIND_IN_SET($uid,group_user) >0")->select();

    }
}